# Generated by Django 3.2.3 on 2021-05-13 16:11

import Task.models
import datetime
from django.db import migrations, models
import django.db.models.deletion
from django.utils.timezone import utc
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TheResponsible',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=120)),
                ('last_name', models.CharField(max_length=120)),
                ('email', models.EmailField(max_length=254, null=True, validators=[Task.models.validateEmail])),
            ],
        ),
        migrations.CreateModel(
            name='TheTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('taskName', models.CharField(max_length=120)),
                ('taskDesc', models.CharField(max_length=120)),
                ('start_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('end_date', models.DateTimeField(default=datetime.datetime(2021, 5, 14, 16, 11, 17, 728240, tzinfo=utc))),
                ('responsible', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Task.theresponsible')),
            ],
        ),
    ]
